package com.platform.entities;

public class SqlFileInfoEntity implements Comparable<SqlFileInfoEntity> {
	
	private int id;
	
	/** 状态   (含义，操作) ->  0：（有缺失，上传） ； 1： （正常，查看）； 2：（待归档，归档） ； 3： （待审核，审核） */
	private int sysStatus;
	
	private String areaCode;
	
	private int sysCode;
	
	private String cityName;
	
	private String districtName;
	
	private String sysName;	
	
	/**	数据库类型 */
	private String dataBaseType;
	
	/** 状态   (含义，操作) ->  0：（有缺失，上传） ； 1： （正常，查看）； 2：（待归档，归档） ； 3： （待审核，审核） */
	private int userTableStatus;
	
	private String userTableStatusPathLast;
	
	private String userTableStatusLastModified;
	
	private String userTableStatusPathStandard;
	
	private String userTableStatusStandardModified;
	
	/** 状态   (含义，操作) ->  0：（有缺失，上传） ； 1： （正常，查看）； 2：（待归档，归档） ； 3： （待审核，审核） */
	private int ckPayStatus;
	
	private String ckPayStatusPathLast;
	
	private String ckPayStatusLastModified;
	
	private String ckPayStatusPathStandard;
	
	private String ckPayStatusStandardModified;
	
	/** 状态   (含义，操作) ->  0：（有缺失，上传） ； 1： （正常，查看）； 2：（待归档，归档） ； 3： （待审核，审核） */
	private int ckIndicateStatus;
	
	private String ckIndicateStatusPathLast;
	
	private String ckIndicateStatusLastModified;
	
	private String ckIndicateStatusPathStandard;
	
	private String ckIndicateStatusStandardModified;
	
	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * @return the sysStatus
	 */
	public int getSysStatus() {
		return sysStatus;
	}

	/**
	 * @param sysStatus the sysStatus to set
	 */
	public void setSysStatus(int sysStatus) {
		this.sysStatus = sysStatus;
	}

	/**
	 * @return the areaCode
	 */
	public String getAreaCode() {
		return areaCode;
	}

	/**
	 * @param areaCode the areaCode to set
	 */
	public void setAreaCode(String areaCode) {
		this.areaCode = areaCode;
	}

	/**
	 * @return the sysCode
	 */
	public int getSysCode() {
		return sysCode;
	}

	/**
	 * @param sysCode the sysCode to set
	 */
	public void setSysCode(int sysCode) {
		this.sysCode = sysCode;
	}

	/**
	 * @return the cityName
	 */
	public String getCityName() {
		return cityName;
	}

	/**
	 * @param cityName the cityName to set
	 */
	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	/**
	 * @return the districtName
	 */
	public String getDistrictName() {
		return districtName;
	}

	/**
	 * @param districtName the districtName to set
	 */
	public void setDistrictName(String districtName) {
		this.districtName = districtName;
	}

	/**
	 * @return the sysName
	 */
	public String getSysName() {
		return sysName;
	}

	/**
	 * @param sysName the sysName to set
	 */
	public void setSysName(String sysName) {
		this.sysName = sysName;
	}

	/**
	 * @return the dataBaseType
	 */
	public String getDataBaseType() {
		return dataBaseType;
	}

	/**
	 * @param dataBaseType the dataBaseType to set
	 */
	public void setDataBaseType(String dataBaseType) {
		this.dataBaseType = dataBaseType;
	}

	/**
	 * @return the userTableStatus
	 */
	public int getUserTableStatus() {
		return userTableStatus;
	}

	/**
	 * @param userTableStatus the userTableStatus to set
	 */
	public void setUserTableStatus(int userTableStatus) {
		this.userTableStatus = userTableStatus;
	}

	/**
	 * @param ckPayStatus the ckPayStatus to set
	 */
	public void setCkPayStatus(int ckPayStatus) {
		this.ckPayStatus = ckPayStatus;
	}

	/**
	 * @param ckIndicateStatus the ckIndicateStatus to set
	 */
	public void setCkIndicateStatus(int ckIndicateStatus) {
		this.ckIndicateStatus = ckIndicateStatus;
	}

	/**
	 * @return the userTableScriptPathLast
	 */
	public String getUserTableStatusPathLast() {
		return userTableStatusPathLast;
	}

	/**
	 * @param userTableScriptPathLast the userTableScriptPathLast to set
	 */
	public void setUserTableStatusPathLast(String userTableStatusPathLast) {
		this.userTableStatusPathLast = userTableStatusPathLast;
	}

	/**
	 * @return the userTableScriptPathStandard
	 */
	public String getUserTableStatusPathStandard() {
		return userTableStatusPathStandard;
	}

	/**
	 * @param userTableScriptPathStandard the userTableScriptPathStandard to set
	 */
	public void setUserTableStatusPathStandard(String userTableStatusPathStandard) {
		this.userTableStatusPathStandard = userTableStatusPathStandard;
	}

	/**
	 * @return the ckPayScriptPathLast
	 */
	public String getCkPayStatusPathLast() {
		return ckPayStatusPathLast;
	}

	/**
	 * @param ckPayScriptPathLast the ckPayScriptPathLast to set
	 */
	public void setCkPayStatusPathLast(String ckPayStatusPathLast) {
		this.ckPayStatusPathLast = ckPayStatusPathLast;
	}

	/**
	 * @return the ckPayScriptPathStandard
	 */
	public String getCkPayStatusPathStandard() {
		return ckPayStatusPathStandard;
	}

	/**
	 * @param ckPayScriptPathStandard the ckPayScriptPathStandard to set
	 */
	public void setCkPayStatusPathStandard(String ckPayStatusPathStandard) {
		this.ckPayStatusPathStandard = ckPayStatusPathStandard;
	}

	/**
	 * @return the ckIndicateScriptPathLast
	 */
	public String getCkIndicateStatusPathLast() {
		return ckIndicateStatusPathLast;
	}

	/**
	 * @param ckIndicateScriptPathLast the ckIndicateScriptPathLast to set
	 */
	public void setCkIndicateStatusPathLast(String ckIndicateStatusPathLast) {
		this.ckIndicateStatusPathLast = ckIndicateStatusPathLast;
	}

	/**
	 * @return the ckIndicateScriptPathStandard
	 */
	public String getCkIndicateStatusPathStandard() {
		return ckIndicateStatusPathStandard;
	}

	/**
	 * @param ckIndicateScriptPathStandard the ckIndicateScriptPathStandard to set
	 */
	public void setCkIndicateStatusPathStandard(String ckIndicateStatusPathStandard) {
		this.ckIndicateStatusPathStandard = ckIndicateStatusPathStandard;
	}

	/**
	 * @return the ckPayStatus
	 */
	public int getCkPayStatus() {
		return ckPayStatus;
	}

	/**
	 * @return the ckIndicateStatus
	 */
	public int getCkIndicateStatus() {
		return ckIndicateStatus;
	}

	/**
	 * @return the userTableLastModified
	 */
	public String getUserTableStatusLastModified() {
		return userTableStatusLastModified;
	}

	/**
	 * @param userTableLastModified the userTableLastModified to set
	 */
	public void setUserTableStatusLastModified(String userTableStatusLastModified) {
		this.userTableStatusLastModified = userTableStatusLastModified;
	}

	/**
	 * @return the userTableStandardModified
	 */
	public String getUserTableStatusStandardModified() {
		return userTableStatusStandardModified;
	}

	/**
	 * @param userTableStandardModified the userTableStandardModified to set
	 */
	public void setUserTableStatusStandardModified(String userTableStatusStandardModified) {
		this.userTableStatusStandardModified = userTableStatusStandardModified;
	}

	/**
	 * @return the ckPayLastModified
	 */
	public String getCkPayStatusLastModified() {
		return ckPayStatusLastModified;
	}

	/**
	 * @param ckPayLastModified the ckPayLastModified to set
	 */
	public void setCkPayStatusLastModified(String ckPayStatusLastModified) {
		this.ckPayStatusLastModified = ckPayStatusLastModified;
	}

	/**
	 * @return the ckPayStandardModified
	 */
	public String getCkPayStatusStandardModified() {
		return ckPayStatusStandardModified;
	}

	/**
	 * @param ckPayStandardModified the ckPayStandardModified to set
	 */
	public void setCkPayStatusStandardModified(String ckPayStatusStandardModified) {
		this.ckPayStatusStandardModified = ckPayStatusStandardModified;
	}

	/**
	 * @return the ckIndicateLastModified
	 */
	public String getCkIndicateStatusLastModified() {
		return ckIndicateStatusLastModified;
	}

	/**
	 * @param ckIndicateLastModified the ckIndicateLastModified to set
	 */
	public void setCkIndicateStatusLastModified(String ckIndicateStatusLastModified) {
		this.ckIndicateStatusLastModified = ckIndicateStatusLastModified;
	}

	/**
	 * @return the ckIndicateStandardModified
	 */
	public String getCkIndicateStatusStandardModified() {
		return ckIndicateStatusStandardModified;
	}

	/**
	 * @param ckIndicateStandardModified the ckIndicateStandardModified to set
	 */
	public void setCkIndicateStatusStandardModified(String ckIndicateStatusStandardModified) {
		this.ckIndicateStatusStandardModified = ckIndicateStatusStandardModified;
	}

	/** 按checkResult的状态排序  */
	@Override
	public int compareTo(SqlFileInfoEntity arg0) {
		
		if (this.getSysStatus() < arg0.getSysStatus()) 
			return 1;
		else 
			return -1;
	}

}
